#include <zlib.h>

int main() {
    z_stream str;
    str.zalloc = Z_NULL;
    str.zfree  = Z_NULL;
    str.opaque = Z_NULL;

    int initOk = deflateInit(&str, Z_DEFAULT_COMPRESSION);
    if (initOk != Z_OK) return 1;

    int endOk = deflateEnd(&str);
    if (endOk != Z_OK) return 1;

    initOk = inflateInit(&str);
    if (initOk != Z_OK) return 1;

    endOk = inflateEnd(&str);
    if (endOk != Z_OK) return 1;

    return 0;
}
